#
# spec file for package libmlx4
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libmlx4
Summary:        Mellanox InfiniBand HCA Userspace Driver
Version:        1.0
Release:        0.12.2
Group:          System/Libraries
License:        BSD 4-Clause; GPL v2 only
Url:            http://www.openfabrics.org
Source:         %name-%version-0.13.g4e5c43f.tar.bz2
Source1:        rpmlintrc
# Patch0:         libmlx4_05_fix_max_cap.patch
# Patch1:         libmlx4_10_sg_stamping.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
ExcludeArch:    s390 s390x

%description
libmlx4 provides a device-specific userspace driver for Mellanox
ConnectX HCAs for use with the libibverbs library.



Authors:
--------
    Roland Dreier           <rolandd@cisco.com>

%package devel
License:        BSD 4-Clause; GPL v2 only
Group:          System/Libraries
Summary:        Development files for the libmlx4 library
Requires:       %{name} = %{version} libibverbs-devel

%description devel
Development files for the libmlx4 library.



Authors:
--------
    Roland Dreier           <rolandd@cisco.com>

%prep
%setup -q
# %patch0 -p4
# %patch1 -p4

%build
%configure
make

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libmlx4-rdmav2.so
%{_sysconfdir}/libibverbs.d/mlx4.driver

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmlx4.a
%{_libdir}/libmlx4.la
%{_libdir}/libmlx4.so

%changelog
* Thu Feb 17 2011 ro@suse.de
- exclude archs s390 and s390x
* Thu Oct 21 2010 stefan.fent@novell.com
- update to v1.0-0.13.g4e5c43f for OFED 1.5.2
* Sun May 23 2010 jjolly@novell.com
- Updated tarball name too match OFED 1.5.1 with postfix
  - 0.7.g2432360
* Thu Oct 16 2008 jjolly@suse.de
- Update to version from OFED 1.3.1 release
* Fri Feb 29 2008 jjolly@suse.de
- Update to version 1.0 from OFED 1.3 GA release
* Fri Feb  1 2008 jjolly@suse.de
- Update to version 1.0 from OFED 1.3 rc2
- Removed patches (none are applicable)
* Tue Aug 21 2007 hvogel@suse.de
- Update to version from OFED 1.2.5
* Sun Aug 19 2007 ro@suse.de
- add rpmlintrc (shlib-policy-name-error) for the moment
  to fix build
* Tue Aug  7 2007 hvogel@suse.de
- Initial Package, Version 0.1
